Public Member Functions | Public Attributes | List of all members
WPS4ParserInternal::State Struct Reference

the state of WPS4 More...

## Public Member Functions
| State (libwps_tools_win::Font::Type fontType)

## Public Attributes
bool | m_isDosFile
| flag to know if the file is or not a dos file More...
long | m_eof
| the last file position More...
libwps_tools_win::Font::Type | m_fontType
| the user font type More...
libwps_tools_win::Font::Type | m_OEMFontType
| the OEM code page More...
WPSPageSpan | m_pageSpan
| the actual document size More...
bool | m_noFirstPageHeader
bool | m_noFirstPageFooter
int | m_numColumns
| the number of columns More...
int | m_actPage
| the actual page More...
int | m_numPages

## Detailed Description

the state of WPS4

## Constructor & Destructor Documentation

## ◆ State()

WPS4ParserInternal::State::State | ( | libwps_tools_win::Font::Type | fontType | ) |
| inline explicit

## Member Data Documentation

## ◆ m_actPage

int WPS4ParserInternal::State::m_actPage

the actual page

## ◆ m_eof

long WPS4ParserInternal::State::m_eof

the last file position

## ◆ m_fontType

libwps_tools_win::Font::Type WPS4ParserInternal::State::m_fontType

the user font type

## ◆ m_isDosFile

bool WPS4ParserInternal::State::m_isDosFile

flag to know if the file is or not a dos file

## ◆ m_noFirstPageFooter

bool WPS4ParserInternal::State::m_noFirstPageFooter

## ◆ m_noFirstPageHeader

bool WPS4ParserInternal::State::m_noFirstPageHeader

## ◆ m_numColumns

int WPS4ParserInternal::State::m_numColumns

the number of columns

## ◆ m_numPages

int WPS4ParserInternal::State::m_numPages

## ◆ m_OEMFontType

libwps_tools_win::Font::Type WPS4ParserInternal::State::m_OEMFontType

the OEM code page

## ◆ m_pageSpan

WPSPageSpan WPS4ParserInternal::State::m_pageSpan

the actual document size

The documentation for this struct was generated from the following file:

- WPS4.cpp